Skip to main content
PATCH
/
tasks
/
{task_id}
Update a task
curl --request PATCH \
  --url https://api.getpg.ai/v1/tasks/{task_id} \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "status": "pending",
  "title": "<string>",
  "description": "<string>",
  "assignee_id": "<string>",
  "due_date": "<string>",
  "priority": "low"
}
'
{}

Authorizations

X-Api-Key
string
header
required

Your API key for authentication. Get your API key from the PGAI dashboard.

Path Parameters

task_id
string
required

UUID of the task to update

Body

application/json
status
enum<string>

Task status

Available options:
pending,
in_progress,
completed,
cancelled
title
string

Updated title

description
string

Updated description

assignee_id
string

UUID of the assigned user

due_date
string

Updated due date in ISO 8601 format

priority
enum<string>

Updated priority

Available options:
low,
medium,
high,
urgent

Response

Task updated successfully

Response data